const std = @import("std");
const SDL = @import("sdl2");

const Renderer = @import("Renderer.zig");
const Game = @import("Game.zig");
//const MainMenu = @import("MainMenu.zig");

//const State = @import("flow.zig").State;

pub fn main() !void {
    var renderer = try Renderer.init();
    defer renderer.deinit();

    //var main_menu = MainMenu.init();
    var game = Game.init(renderer);

    //var current_state: State = main_menu.state;

    //_ = SDL.IMG_Init(SDL.IMG_INIT_JPG);

    mainLoop: while (true) {
        while (SDL.pollEvent()) |ev| {
            switch (ev) {
                .quit => break :mainLoop,
                else => {},
            }
        }

        renderer.setColor(255, 127, 0, 255);
        renderer.drawRectangle(20, 20, 20, 20);

        renderer.render();

        _ = game.tick();

        //current_state = switch (current_state) {
            //.main_menu => main_menu.tick(),
            //.game => game.tick(),
        //};

    }
}
